# GET /foot-traffic/locations

This endpoint returns data aggregated by location. The results returned from this endpoint can be used to gain insight into individual locations or to compare locations against each other.

You can query the results by the `datetime_start` (inclusive) and `datetime_end` (exclusive) parameters can be used to query for data recorded within the specified datetime range. Note that these parameters are [grouped by local timezone](/dtm-docs/dtm-api/datetimes.md).\
\
Returned data is aggregated by location so that one result is returned for each `interval` of time at each location. The `interval` can be one of: 15m, hour, day, week, month, year. For example, if the **hour** `interval` is used, a result will be returned for each hour and location in the requested range. If your team has two locations and requested 24 hours worth of hour intervals, a total of 48 (2 x 24) Location Metrics would be returned.

{% openapi src="/files/H3kEtZFJnzhBkOQDMxzQ" path="/foot-traffic/locations" method="get" %}
[dtm-api-v1.oas3-10-31.yml](https://1062391435-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FWWQAN8kNLZjV927A0f78%2Fuploads%2FZ9XVJLXIygnVerbHtFOL%2Fdtm-api-v1.oas3-10-31.yml?alt=media\&token=b5466236-61ec-47e3-8a1a-0d051a0bd3d9)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getdor.com/dtm-docs/dtm-api/endpoints/foot-traffic/get-foot-traffic-locations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
